; ============================================================================================
; Title:   ObjIDs.inc
; Author:  G. Friedrich  @ March 2002
; Version: 1.0.10
; Purpose: Support of object IDs for ObjAsm32.
; ============================================================================================


; ============================================================================================
;    Object IDs
; ============================================================================================

;Primer object
PrimerID                          equ     000001

;Array objects
ArrayID                           equ     000005
MatrixID                          equ     000006

;Stream objects
StreamableID                      equ     000010
StreamID                          equ     000011
DiskStreamID                      equ     000012
BufferedDiskStreamID              equ     000013
MemoryStreamID                    equ     000014

;Collection objects
CollectionID                      equ     000020
SortedCollectionID                equ     000021
StrCollectionID                   equ     000022
DataCollectionID                  equ     000023

;Database objects (DBase.inc)
DBFieldID                         equ     000030
DBRecordID                        equ     000031
DBRecordCacheID                   equ     000032
DBFileID                          equ     000033
NdxMemPageID                      equ     000034
NdxPageCacheID                    equ     000035
DBIndexID                         equ     000036
DBQueryID                         equ     000037

;Profiling objects
TickCounterID                     equ     000040
StopWatchID                       equ     000041

;Ini File object (IniFile.inc)
IniFileID                         equ     000050

;CRC objects
CRC16ID                           equ     000060
CRC32ID                           equ     000061

;Windows primer objects
WinPrimerID                       equ     000100
MsgInterceptorID                  equ     000101

;Windows control objects
WinControlID                      equ     000110
ToolbarID                         equ     000111
StatusbarID                       equ     000112
TooltipID                         equ     000113
BandFrameID                       equ     000114
RbIptorID                         equ     000115
RebarID                           equ     000116
ProgressbarID                     equ     000117
TrayIconID                        equ     000128
TreeViewID                        equ     000129
ListViewID                        equ     000130
ComboBoxID                        equ     000131
TabCtrlID                         equ     000132

;ImageList objects
SimpleImageListID                 equ     000150
MaskedImageListID                 equ     000151

;Windows application objects
SdiAppID                          equ     000160
MdiAppID                          equ     000161
MdiClientWndID                    equ     000162
MdiChildWndID                     equ     000163
WindowID                          equ     000165

MySdiAppID                        equ     000170      ;for test or demo purposes only!
MyMdiAppID                        equ     000171      ;for test or demo purposes only!
MyClientWndID                     equ     000172      ;for test or demo purposes only!
MyChildWndID                      equ     000173      ;for test or demo purposes only!

;Windows dialog objects
DialogID                          equ     000180
DialogModalID                     equ     000181
DialogModelessID                  equ     000182
DialogRollingID                   equ     000183
DialogModalIndirectID             equ     000184  
DialogModelessIndirectID          equ     000185
DialogFindTextID                  equ     000186  

DialogAboutID                     equ     000190
DialogAboutIndirectID             equ     000191

DialogPasswordID                  equ     000195

SkinnedMsgBoxID                   equ     000200
SkinnedDialogAboutID              equ     000201

;Registry objects
RegKeyID                          equ     000250

;XMenu objects
XMenuID                           equ     000260
XMenuItemID                       equ     000261
XMdiMenuID                        equ     000262

;Data buffering objects
DataBufferID                      equ     000270
DataBuffer2dID                    equ     000271

;Graphs objects
Graph2dID                         equ     000280

;Buttons objects
ButtonID                          equ     000300
IconButtonID                      equ     000301
RgnButtonID                       equ     000302

ColorButtonID                     equ     000305

;Gifs
GifDecoderID                      equ     000350
GifPlayerID                       equ     000351

;Magmetism (Magnetism.inc)
MagnetismID                       equ     000360

;Spliters
SplitterID                        equ     000362

;Hyperlink
HyperlinkID                       equ     000364

;Window Skins
SkinID                            equ     000367
ElasticSkinID                     equ     000368

;IoPort
IoPortID                          equ     000380

;3D Engine
D3VectronCollectionID             equ     000400
D3TriangleID                      equ     000401
D3ObjectID                        equ     000402
D3CameraID                        equ     000403
D3LightID                         equ     000404
D3SceneID                         equ     000405
D3StreamID                        equ     000406

;Ole Data Base
OleDBID                           equ     000450

;Shell ID Lists
IDLID                             equ     000480

;Hooking objects
IAT32HookID                       equ     000490
Api32HookID                       equ     000491

;COM specific objects
ComponentID                       equ     000500
ClassFactoryID                    equ     000501
InProcServerID                    equ     000502
IUnknownID                        equ     000503
IUnknownNoDelegateID              equ     000504
IClassFactoryID                   equ     000505
IDispatchID                       equ     000506
ITypeInfoID                       equ     000507
ITypeLibID                        equ     000508
IDualID                           equ     000509

IMarshalID                        equ     000510
IUnmarshalID                      equ     000511
IStdMarshalInfo                   equ     000512
IExternalConnectionID             equ     000513

ConnectionPointID                 equ     000520
EnumConnectionPointsID            equ     000521
EnumConnectionsID                 equ     000522
IConnectionPointContainerID       equ     000523
IConnectionPointID                equ     000524
IEnumConnectionPointsID           equ     000525
IEnumConnectionsID                equ     000526

IOleObjectID                      equ     000530
IProvideClassInfoID               equ     000531
IProvideClassInfo2ID              equ     000532
IPersistID                        equ     000533
IPersistStreamID                  equ     000534
IPersistStreamInitID              equ     000535
IViewObjectID                     equ     000536
IViewObject2ID                    equ     000537
ISpecifyPropertyPagesID           equ     000538
IPersistPropertyBagID             equ     000539
ICategorizePropertiesID           equ     000540
IClientSiteID                     equ     000541
IAdviseSinkID                     equ     000542
IOleAdviseHolderID                equ     000543
IOleControlSiteID                 equ     000544
IOleWindowID                      equ     000545
ISequentialStreamID               equ     000546
IStreamID                         equ     000547
IPropertyBagID                    equ     000548
